//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  ImagePalleteStructures.h
//  AlphaCam II
//
//  Created by Nicholas Levin on 2/4/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#import "NLUtility.h"

struct RGBTriple {
    unsigned char channel[3];
};

// structure to hold an array of colors - specifically, for a restricted color palette of a fixed number of colors
struct RGBPalette {
	int size;
    RGBTriple* table;
};
