//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLMOOldComputers.m
//  AlphaCam II
//
//  Created by Nicholas Levin on 6/5/11.
//  Copyright (c) 2011 Studio Andromeda. All rights reserved.
//

#import "NLMOOldComputers.h"
#import "NLMOPalette.h"
#import "NLMOColor.h"


@implementation NLMOOldComputers
@dynamic timeStamp;
@dynamic palette;

-(void)createWithDefaultPaletteInContext:(NSManagedObjectContext*)context;
{
    NSLog(@"ERROR: 'createWithDefaultPaletteInContext' was not defined for this subclass of NLMOOldComputers.");
    exit(1);
}

@end
