//
// This file is part of AlphaCam II.
//
// AlphaCam II is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// AlphaCam II is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with AlphaCam II.  If not, see <http://www.gnu.org/licenses/>.
//
//
//  NLPalettePickerController.h
//  AlphaCam II
//
//  Created by Nicholas Levin on 5/26/11.
//  Copyright 2011 Studio Andromeda. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <CoreData/CoreData.h>

@class NLCoreDataController;
@class AlphaCamRootViewController;

@interface NLPalettePickerController : UITableViewController {
    
    UINavigationController *navigationController;
    
    NLCoreDataController *coreDataController;
    
    AlphaCamRootViewController *__unsafe_unretained rootViewController;;
    
    NSArray *listData;

}
@property (nonatomic, retain) NSArray *listData;
@property (nonatomic, retain) UINavigationController *navigationController;
@property (nonatomic, retain) NLCoreDataController *coreDataController;
@property (nonatomic, assign) AlphaCamRootViewController *rootViewController;

@end